-- start query 49 in stream 0 using template query9.tpl
select case when (select count(*) 
                  from bigdata_public_dataset.tpcds_100g.store_sales 
                  where ss_quantity between 1 and 20) > 1969109
            then (select avg(ss_ext_discount_amt) 
                  from bigdata_public_dataset.tpcds_100g.store_sales 
                  where ss_quantity between 1 and 20) 
            else (select avg(ss_net_paid)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 1 and 20) end bucket1 ,
       case when (select count(*)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 21 and 40) > 12549985
            then (select avg(ss_ext_discount_amt)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 21 and 40) 
            else (select avg(ss_net_paid)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 21 and 40) end bucket2,
       case when (select count(*)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 41 and 60) > 21926253
            then (select avg(ss_ext_discount_amt)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 41 and 60)
            else (select avg(ss_net_paid)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 41 and 60) end bucket3,
       case when (select count(*)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 61 and 80) > 9763947
            then (select avg(ss_ext_discount_amt)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 61 and 80)
            else (select avg(ss_net_paid)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 61 and 80) end bucket4,
       case when (select count(*)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 81 and 100) > 37034944
            then (select avg(ss_ext_discount_amt)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 81 and 100)
            else (select avg(ss_net_paid)
                  from bigdata_public_dataset.tpcds_100g.store_sales
                  where ss_quantity between 81 and 100) end bucket5
from bigdata_public_dataset.tpcds_100g.reason
where r_reason_sk = 1
;

-- end query 49 in stream 0 using template query9.tpl
